#ifndef CORE_THREAD_H
#define CORE_THREAD_H

#include "utils/Utility.h"

namespace Core::Thread {
    using Id = int;
    using Function = int (*)(void*);
    constexpr Id INVALID_ID = -1;

    check_return Error start(Id& id, Function f, void* p);
    check_return Error join(Id id, int* returnValue = nullptr);
}

#endif